import { SmzUiGuidesBuilder } from './ui-guides-builder';
export declare class SmzUiGuidesStepBuilder {
    private _builder;
    private elementId;
    private _step;
    private canAccess;
    constructor(_builder: SmzUiGuidesBuilder, elementId: string);
    forClaim(claim: string): SmzUiGuidesStepBuilder;
    notForClaim(claim: string): SmzUiGuidesStepBuilder;
    forClaims(canAccessClaims: string[]): SmzUiGuidesStepBuilder;
    setTitle(title: string): SmzUiGuidesStepBuilder;
    setContent(content: string): SmzUiGuidesStepBuilder;
    setStyles(styleClass: string): SmzUiGuidesStepBuilder;
    setWidth(width: string): SmzUiGuidesStepBuilder;
    setHeight(height: string): SmzUiGuidesStepBuilder;
    offsetX(percentage: number): SmzUiGuidesStepBuilder;
    offsetY(percentage: number): SmzUiGuidesStepBuilder;
    horizontal(): SmzUiGuidesStepBuilder;
    vertical(): SmzUiGuidesStepBuilder;
    disableHighlight(): SmzUiGuidesStepBuilder;
    setHighlightMargin(margin: number): SmzUiGuidesStepBuilder;
    get step(): SmzUiGuidesBuilder;
}
